Bug 1768831 - scribus-generator provides/obsoletes python2-tkinter
Summary: scribus-generator provides/obsoletes python2-tkinter
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: scribus-generator
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-05 10:34 UTC by Felix Schwarz
Modified: 2019-11-14 03:40 UTC (History)
3 users (show)

Fixed In Version: scribus-generator-2.8.1-4.fc31 scribus-generator-2.8.1-4.fc30 scribus-generator-2.8.1-4.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-09 21:20:56 UTC
Type: Bug


Attachments (Terms of Use)

Description Felix Schwarz 2019-11-05 10:34:42 UTC
The latest update for scribus-generator (pushed to stable F30/F31) now provides + obsoletes python2-tkinter. This removes python2-tkinter (from Fedora's "python2" package) and will install scribus+dependencies instead.

This is wrong. Please remove this asap so users can use python2-tkinter again.

The problem was already noticed in bodhi but unfortunately the update was pushed nevertheless:
https://bodhi.fedoraproject.org/updates/FEDORA-2019-ba98b7153b#comment-1112943

If you have any technical questions please ask on fedora-devel.

Comment 1 Miro Hrončok 2019-11-05 10:39:22 UTC
on it

Comment 2 Fedora Update System 2019-11-05 10:59:28 UTC
FEDORA-2019-fa4dda60fb has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-fa4dda60fb

Comment 3 Fedora Update System 2019-11-05 10:59:32 UTC
FEDORA-2019-87de83247e has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-87de83247e

Comment 4 Fedora Update System 2019-11-06 14:03:15 UTC
scribus-generator-2.8.1-4.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-fa4dda60fb

Comment 5 Fedora Update System 2019-11-06 14:13:00 UTC
scribus-generator-2.8.1-4.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-93bf23f905

Comment 6 Fedora Update System 2019-11-06 16:11:26 UTC
scribus-generator-2.8.1-4.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-87de83247e

Comment 7 Rick Richardson 2019-11-08 12:50:50 UTC
Problem: package python2-tools-2.7.16-2.fc30.x86_64 requires python2-tkinter = 2.7.16-2.fc30, but none of the providers can be installed
  - package scribus-generator-2.8.1-3.fc30.noarch obsoletes python2-tkinter < 2.7.17 provided by python2-tkinter-2.7.16-2.fc30.x86_64
  - package scribus-generator-2.8.1-3.fc30.noarch obsoletes python2-tkinter < 2.7.17 provided by python2-tkinter-2.7.16-2.fc30.i686
  - cannot install the best update candidate for package python2-tools-2.7.16-2.fc30.x86_64
  - cannot install the best update candidate for package python2-tkinter-2.7.16-2.fc30.x86_64

Comment 8 Luya Tshimbalanga 2019-11-09 04:59:19 UTC
(In reply to Rick Richardson from comment #7)
>   - package scribus-generator-2.8.1-3.fc30.noarch obsoletes python2-tkinter
> < 2.7.17 provided by python2-tkinter-2.7.16-2.fc30.x86_64

The change is reverted on 2.8.1-4. Could you test on that version instead?

Comment 9 Rick Richardson 2019-11-09 08:39:37 UTC
$ root dnf update --refresh
Adobe Systems Incorporated                       19 kB/s | 2.9 kB     00:00    
Fedora Modular 30 - x86_64                       85 kB/s |  17 kB     00:00    
Fedora Modular 30 - x86_64 - Updates             55 kB/s |  13 kB     00:00    
Fedora 30 - x86_64 - Updates                     61 kB/s |  13 kB     00:00    
Fedora 30 - x86_64                               57 kB/s |  17 kB     00:00    
google-chrome                                    19 kB/s | 1.3 kB     00:00    
google-earth                                     20 kB/s | 1.3 kB     00:00    
google-musicmanager                              20 kB/s | 1.3 kB     00:00    
google-talkplugin                                15 kB/s | 951  B     00:00    
RPM Fusion for Fedora 30 - Free tainted         6.2 kB/s | 3.0 kB     00:00    
RPM Fusion for Fedora 30 - Free - Updates        18 kB/s | 3.0 kB     00:00    
RPM Fusion for Fedora 30 - Free                 5.8 kB/s | 3.2 kB     00:00    
RPM Fusion for Fedora 30 - Nonfree - Updates    5.4 kB/s | 3.0 kB     00:00    
RPM Fusion for Fedora 30 - Nonfree              6.6 kB/s | 3.2 kB     00:00    
Dependencies resolved.

 Problem: package python2-tools-2.7.16-2.fc30.x86_64 requires python2-tkinter = 2.7.16-2.fc30, but none of the providers can be installed
  - package scribus-generator-2.8.1-3.fc30.noarch obsoletes python2-tkinter < 2.7.17 provided by python2-tkinter-2.7.16-2.fc30.x86_64
  - package scribus-generator-2.8.1-3.fc30.noarch obsoletes python2-tkinter < 2.7.17 provided by python2-tkinter-2.7.16-2.fc30.i686
  - cannot install the best update candidate for package python2-tools-2.7.16-2.fc30.x86_64
  - cannot install the best update candidate for package python2-tkinter-2.7.16-2.fc30.x86_64
Nothing to do.
Complete!

Comment 10 Miro Hrončok 2019-11-09 08:56:15 UTC
The update in updates will obsolete this until the update currently in updates-testing replaces it.

Comment 11 Miro Hrončok 2019-11-09 08:59:21 UTC
The Fedora 29 update https://bodhi.fedoraproject.org/updates/FEDORA-2019-87de83247e desperately needs karma.

Comment 12 Fedora Update System 2019-11-09 21:20:56 UTC
scribus-generator-2.8.1-4.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2019-11-09 22:39:33 UTC
scribus-generator-2.8.1-4.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2019-11-14 03:40:15 UTC
scribus-generator-2.8.1-4.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.